Skip to main content

prefect.client.cloud

Functions

get_cloud_client

Needs a docstring.

Classes

CloudUnauthorizedError

Raised when the CloudClient receives a 401 or 403 from the Cloud API.

CloudClient

Methods:

account_base_url

api_healthcheck

Attempts to connect to the Cloud API and raises the encountered exception if not successful. If successful, returns None.

check_ip_allowlist_access

get

raw_request

Make a raw HTTP request and return the Response object. Unlike request(), this does not parse JSON or raise special exceptions, returning the raw httpx.Response for direct access to headers, status, etc. Args:
  • method: HTTP method (GET, POST, etc.)
  • path: API path/route
  • params: Query parameters
  • path_params: Path parameters for formatting
  • **kwargs: Additional arguments passed to httpx (json, headers, etc.)
Returns:
  • Raw httpx.Response object

read_account_ip_allowlist

read_account_settings

read_current_workspace

read_worker_metadata

read_workspaces

request

update_account_ip_allowlist

update_account_settings

workspace_base_url